import request from '@/config/axios'

// 预约标签 VO
export interface ShopDueLabelVO {
  id: number // ID
  title: string // 标签名称
  shopId: number // 店铺id用'
  shopName: string // 店铺名称
}

// 预约标签 API
export const ShopDueLabelApi = {
  // 查询预约标签分页
  getShopDueLabelPage: async (params: any) => {
    return await request.get({ url: `/store/shop-due-label/page`, params })
  },

  // 查询预约标签详情
  getShopDueLabel: async (id: number) => {
    return await request.get({ url: `/store/shop-due-label/get?id=` + id })
  },

  // 新增预约标签
  createShopDueLabel: async (data: ShopDueLabelVO) => {
    return await request.post({ url: `/store/shop-due-label/create`, data })
  },

  // 修改预约标签
  updateShopDueLabel: async (data: ShopDueLabelVO) => {
    return await request.put({ url: `/store/shop-due-label/update`, data })
  },

  // 删除预约标签
  deleteShopDueLabel: async (id: number) => {
    return await request.delete({ url: `/store/shop-due-label/delete?id=` + id })
  },

  // 导出预约标签 Excel
  exportShopDueLabel: async (params) => {
    return await request.download({ url: `/store/shop-due-label/export-excel`, params })
  }
}